[script]
n0=alias savehostnick { who $$chan }
n1=alias openhostnick { run $scriptdirHost.txt }
n2=alias shostnick {
n3=  echo 4 -a * Поиск:7 $iif($1,$1,$cb(1))
n4=  set %SeveHostNick 1
n5=  set %SeveHostNick.l $lines($scriptdirHost.txt)
n6=  While (%SeveHostNick <= %SeveHostNick.l) {
n7=    if ($iif($1,$1,$cb(1)) isin $read($scriptdirHost.txt,%SeveHostNick) ) { echo 4 -a * Найдено:8 $read($scriptdirHost.txt,%SeveHostNick) }
n8=    inc %SeveHostNick
n9=  }
n10=  echo 4 -a * Поиск завершен
n11=}
n12=;======== Обработчик событий
n13=on *:join:*: { if ($nick != $me) { NewNick $nick $remove($address($nick,2),*!*@) } }
n14=on *:nick: { if ($nick != $me) { NewNick $newnick $remove($address($newnick,2),*!*@) } }
n15=raw 352:*: { NewNick $6 $4 }
n16=raw 315:*: { echo 4 $2 * Комната занесена в базу!7 (SeveHostNick ScripT) }
n17=raw 311:*: { NewNick $2 $4 }
n18=;======== Алиас добавления нового ника
n19=alias -l NewNick {
n20=  set %SeveHostNick $2 $+ *
n21=  set %SeveHostNick $read($scriptdirHost.txt,w,%SeveHostNick)
n22=  if ($readn) { if ($1 !isin %SeveHostNick) { write -l $+ $readn $scriptdirHost.txt %SeveHostNick $+ , $+ $1 } }
n23=  else { write -a $scriptdirHost.txt $2 $+ , $+ $1 }
n24=}
